// MaintenanceSheet.h: interface for the CMaintenanceSheet class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINTENANCESHEET_H__26C79F46_BCAB_11D7_8997_000629A6E157__INCLUDED_)
#define AFX_MAINTENANCESHEET_H__26C79F46_BCAB_11D7_8997_000629A6E157__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MainSheet.h"
#include "MaintenanceModulePage.h"
#include "MaintenancePage.h"

#ifdef  BUILD_GUIDLL
#define     DLLCLASS    __declspec(dllexport)
#else
#define     DLLCLASS    __declspec(dllimport)
#endif

class DLLCLASS CMaintenanceSheet : public CMainSheet
{
public:
    CMaintenanceSheet(LPCTSTR pszCaption);
    virtual ~CMaintenanceSheet();

    void SetModule(stModule *Module);
    void SetModule(stModule *Module, int nNoOfModule);
    BOOL IsSetup(void);
    BOOL CheckSecurity(void);

private:
    CMaintenancePage       maintenancePage;
    CMaintenanceModulePage modulePage;
};

#endif // !defined(AFX_MAINTENANCESHEET_H__26C79F46_BCAB_11D7_8997_000629A6E157__INCLUDED_)
